<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:template name="hdm.get.leftmost.of.seperator">
        <xsl:param name="path"/>
        <xsl:param name="seperator"/>
        <xsl:param name="start">1</xsl:param>
        <xsl:if test="contains($path, $seperator )">
            <xsl:if test="$start='0'">
                <xsl:value-of select="$seperator"/>
            </xsl:if>
            <xsl:value-of select="substring-before($path, $seperator)"/>
            <xsl:call-template name="hdm.get.leftmost.of.seperator">
                <xsl:with-param name="path" select="substring-after($path, $seperator)"/>
                <xsl:with-param name="seperator" select="$seperator"/>
                <xsl:with-param name="start">0</xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template> 
    
</xsl:stylesheet>